osl::PieceMask64 Class Reference

`#include <pieceMask64.h>`

Inheritance diagram for osl::PieceMask64:

## Public Member Functions

| PieceMask64 ()
| PieceMask64 (misc::Mask64 const &m)
const misc::Mask64 & | getMask (int) const
void | resetAll ()
void | setAll ()
PieceMask64 & | operator^= (const PieceMask64 &o)
PieceMask64 & | operator&= (const PieceMask64 &o)
PieceMask64 & | operator|= (const PieceMask64 &o)
PieceMask64 & | operator-= (const PieceMask64 &o)
PieceMask64 & | operator+= (const PieceMask64 &o)
bool | none () const
bool | hasMultipleBit () const
int | countBit2 () const
| bit の数を2まで数える
int | countBit () const
int | takeOneBit ()

## Static Public Member Functions

static int | numToIndex (int)
static int | numToOffset (int num)

## Protected Member Functions

misc::Mask64 & | mutableMask (int)

## Protected Attributes

Mask64 | mask

## Detailed Description

Definition at line 11 of file pieceMask64.h.

## Constructor & Destructor Documentation

## PieceMask64() [1/2]

osl::container::PieceMask64::PieceMask64 | ( |  | ) |

inline

Definition at line 18 of file pieceMask64.h.

## PieceMask64() [2/2]

osl::container::PieceMask64::PieceMask64 | ( | misc::Mask64 const & | m | ) |

inline explicit

Definition at line 19 of file pieceMask64.h.

## Member Function Documentation

## countBit()

int osl::container::PieceMask64::countBit | ( |  | ) | const

inline

Definition at line 78 of file pieceMask64.h.

## countBit2()

int osl::container::PieceMask64::countBit2 | ( |  | ) | const

inline

bit の数を2まで数える

Returns
  0,1,2 (2の場合は2以上)

Definition at line 68 of file pieceMask64.h.

## getMask()

const misc::Mask64 & osl::container::PieceMask64::getMask | ( | int |  | ) | const

inline

Definition at line 23 of file pieceMask64.h.

## hasMultipleBit()

bool osl::container::PieceMask64::hasMultipleBit | ( |  | ) | const

inline

Definition at line 58 of file pieceMask64.h.

## mutableMask()

misc::Mask64 & osl::container::PieceMask64::mutableMask | ( | int |  | ) |

inline protected

Definition at line 21 of file pieceMask64.h.

## none()

bool osl::container::PieceMask64::none | ( |  | ) | const

inline

Definition at line 57 of file pieceMask64.h.

## numToIndex()

int osl::container::PieceMask64::numToIndex | ( | int |  | ) |

inline static

Definition at line 16 of file pieceMask64.h.

## numToOffset()

int osl::container::PieceMask64::numToOffset | ( | int | num | ) |

inline static

Definition at line 17 of file pieceMask64.h.

## operator&=()

PieceMask64 & osl::container::PieceMask64::operator&= | ( | const PieceMask64 & | o | ) |

inline

Definition at line 37 of file pieceMask64.h.

## operator+=()

PieceMask64 & osl::container::PieceMask64::operator+= | ( | const PieceMask64 & | o | ) |

inline

Definition at line 52 of file pieceMask64.h.

## operator-=()

PieceMask64 & osl::container::PieceMask64::operator-= | ( | const PieceMask64 & | o | ) |

inline

Definition at line 47 of file pieceMask64.h.

## operator^=()

PieceMask64 & osl::container::PieceMask64::operator^= | ( | const PieceMask64 & | o | ) |

inline

Definition at line 32 of file pieceMask64.h.

## operator|=()

PieceMask64 & osl::container::PieceMask64::operator|= | ( | const PieceMask64 & | o | ) |

inline

Definition at line 42 of file pieceMask64.h.

## resetAll()

void osl::container::PieceMask64::resetAll | ( |  | ) |

inline

Definition at line 24 of file pieceMask64.h.

## setAll()

void osl::container::PieceMask64::setAll | ( |  | ) |

inline

Definition at line 28 of file pieceMask64.h.

## takeOneBit()

int osl::container::PieceMask64::takeOneBit | ( |  | ) |

inline

Definition at line 82 of file pieceMask64.h.

## Member Data Documentation

## mask

Mask64 osl::container::PieceMask64::mask

protected

Definition at line 14 of file pieceMask64.h.

The documentation for this class was generated from the following file:

- pieceMask64.h